Package org.silverpeas.components.questionreply.model

## Class Recipient

- java.lang.Object
- - org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean
  - - org.silverpeas.components.questionreply.model.Recipient

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.persistence.jdbc.bean.SilverpeasEntityBean`

      public class Recipient
      extends org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Recipient()` |
    `Recipient​(long questionId, String userId)` |
    `Recipient​(String userId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getQuestionId()` |
    `protected String` | `getTableName()` |
    `String` | `getUserId()` |
    `String` | `readRecipientName()` |
    `void` | `setQuestionId​(long questionId)` |
    `void` | `setUserId​(String userId)` |

    - ### Methods inherited from class org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

      `getNonNullString, getPK, setPK`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Recipient

          public Recipient()

    - #### Recipient

          public Recipient​(String userId)

    - #### Recipient

          public Recipient​(long questionId,
                           String userId)

  - ### Method Detail

    - #### getQuestionId

          public long getQuestionId()

    - #### getUserId

          public String getUserId()

    - #### setQuestionId

          public void setQuestionId​(long questionId)

    - #### setUserId

          public void setUserId​(String userId)

    - #### readRecipientName

          public String readRecipientName()

    - #### getTableName

          @NonNull
          protected String getTableName()

      Specified by:
        `getTableName` in class `org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean`